DRM_HELPER_CRTC_IN_U(9)

NAME
drm_helper_crtc_in_use - check if a given CRTC is in a mode_config

SYNOPSIS

bool drm_helper_crtc_in_use(struct drm_crtc * crtc);

ARGUMENTS

crtc
    CRTC to check

DESCRIPTION

Checks whether crtc is with the current mode setting output configuration in use by any connector. This doesn't mean that it is actually enabled since the DPMS state is tracked separately.

RETURNS

True if crtc is used, false otherwise.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT